@use './styles/table.variables' as *;

digi-table {
  @include digi-table--variables;

  .digi-table {
    &--primary,
    &--secondary {
      table {
        border-collapse: collapse;
      }

      th {
        font-weight: var(--digi--table--th--font-weight);
        border-bottom: solid 1px var(--digi--table--th--border-color);
      }

      th[scope='row'],
      td {
        border-bottom: solid 1px var(--digi--table--td--border-color);
      }
    }

    &--secondary {
      tbody {
        tr {
          &:nth-child(even) {
            background: var(--digi--table--background);
          }
        }
      }
    }

    &--tertiary {
      table {
        border-spacing: var(--digi--table--cell--margin);
        border-collapse: separate;
      }

      tbody {
        tr {
          &:nth-child(odd) {
            background: var(--digi--table--background);
          }
          &:nth-child(even) {
            background: var(--digi--table--background--even);
          }
        }
      }
    }

    &--small {
      table {
        th,
        td {
          padding: var(--digi--table--cell--padding--y--s)
            var(--digi--table--cell--padding--x--s);
        }
      }
    }
  }

  table {
    font-family: var(--digi--table--font-family);
    font-size: var(--digi--table--font-size);
    color: var(--digi--table--color);
    font-weight: var(--digi--table--font-weight);
    text-align: left;
    width: 100%;

    th,
    td {
      padding: var(--digi--table--cell--padding--y)
        var(--digi--table--cell--padding--x);
    }

    tr[data-af-table-row~='active'],
    th[data-af-table-cell~='active'],
    td[data-af-table-cell~='active'] {
      color: var(--digi--table--color--active);
      background-color: var(--digi--table--background--active);
    }

    th[data-af-table-cell~='center'],
    td[data-af-table-cell~='center'] {
      text-align: center;
    }

    th[data-af-table-cell~='right'],
    td[data-af-table-cell~='right'] {
      text-align: right;
    }
  }
}
